/*
 * Note: this file originally auto-generated by mib2c using
 *       version $ of $
 *
 * $Id:$
 *
 * @file dot1qPortVlanTable_data_get.h
 *
 * @addtogroup get
 *
 * Prototypes for get functions
 *
 * @{
 */
#ifndef DOT1QPORTVLANTABLE_DATA_GET_H
#define DOT1QPORTVLANTABLE_DATA_GET_H

#ifdef __cplusplus
extern "C" {
#endif

/* *********************************************************************
 * GET function declarations
 */

/* *********************************************************************
 * GET Table declarations
 */
/**********************************************************************
 **********************************************************************
 ***
 *** Table dot1qPortVlanTable
 ***
 **********************************************************************
 **********************************************************************/
/*
 * Q-BRIDGE-MIB::dot1qPortVlanTable is subid 5 of dot1qVlan.
 * Its status is Current.
 * OID: .1.3.6.1.2.1.17.7.1.4.5, length: 11
*/
    /*
     * indexes
     */
    int dot1dBasePort_map(long *mib_dot1dBasePort_val_ptr, long raw_dot1dBasePort_val);

    int dot1qPvid_map(u_long *mib_dot1qPvid_val_ptr, u_long raw_dot1qPvid_val);
    int dot1qPvid_get( dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, u_long * dot1qPvid_val_ptr );
    int dot1qPortAcceptableFrameTypes_map(u_long *mib_dot1qPortAcceptableFrameTypes_val_ptr, u_long raw_dot1qPortAcceptableFrameTypes_val);
    int dot1qPortAcceptableFrameTypes_get( dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, u_long * dot1qPortAcceptableFrameTypes_val_ptr );
    int dot1qPortIngressFiltering_map(u_long *mib_dot1qPortIngressFiltering_val_ptr, u_long raw_dot1qPortIngressFiltering_val);
    int dot1qPortIngressFiltering_get( dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, u_long * dot1qPortIngressFiltering_val_ptr );
    int dot1qPortGvrpStatus_get( dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, u_long * dot1qPortGvrpStatus_val_ptr );
    int dot1qPortGvrpFailedRegistrations_get( dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, u_long * dot1qPortGvrpFailedRegistrations_val_ptr );
    int dot1qPortGvrpLastPduOrigin_get( dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, char **dot1qPortGvrpLastPduOrigin_val_ptr_ptr, size_t *dot1qPortGvrpLastPduOrigin_val_ptr_len_ptr );
    int dot1qPortRestrictedVlanRegistration_get( dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, u_long * dot1qPortRestrictedVlanRegistration_val_ptr );


int dot1qPortVlanTable_indexes_set_tbl_idx(dot1qPortVlanTable_mib_index *tbl_idx, long dot1dBasePort_val);
int dot1qPortVlanTable_indexes_set(dot1qPortVlanTable_rowreq_ctx *rowreq_ctx, long dot1dBasePort_val);




#ifdef __cplusplus
}
#endif

#endif /* DOT1QPORTVLANTABLE_DATA_GET_H */
/** @} */
